import request from '@/utils/request'

// 查询通讯录列表
export function getMaillistTableList(query) {
  return request({
    url: '/system/maillist/list',
    method: 'get',
    params: query
  })
}

// 新增通讯录
export function insertMaillist(params) {
  return request({
    url: '/system/maillist',
    method: 'post',
    data: params
  })
}
// 修改通讯录
export function updateMaillist(params) {
  return request({
    url: '/system/maillist',
    method: 'put',
    data: params
  })
}

// 删除通讯录
export function deleteMaillist(params) {
  return request({
    url: '/system/maillist/' + params,
    method: 'delete'
  })
}
